<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title="添加联系人" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:paddingStart="@dimen/dp_16"
            android:paddingEnd="@dimen/dp_16">

            <TextView
                android:id="@+id/tv_name_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="姓名"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_14"
                app:layout_constraintBottom_toBottomOf="@id/et_name"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/et_name" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_2"
                android:text="*"
                android:textColor="@color/color_ff493c"
                android:textSize="@dimen/sp_15"
                app:layout_constraintStart_toEndOf="@id/tv_name_title"
                app:layout_constraintTop_toTopOf="@id/tv_name_title" />

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_name"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_52"
                android:layout_marginStart="@dimen/dp_68"
                android:layout_marginTop="@dimen/dp_11"
                android:background="@null"
                android:hint="请输入姓名"
                android:maxLines="1"
                android:singleLine="true"
                android:textColor="@color/color_1a1a1a"
                android:textColorHint="@color/color_bcbcbc"
                android:textSize="@dimen/sp_14"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_name_title"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_1"
                android:background="@color/color_eeeeee"
                app:layout_constraintTop_toBottomOf="@id/et_name" />

            <TextView
                android:id="@+id/tv_contacts_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="联系方式"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_14"
                app:layout_constraintBottom_toBottomOf="@id/et_phone"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/et_phone" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_2"
                android:text="*"
                android:textColor="@color/color_ff493c"
                android:textSize="@dimen/sp_15"
                app:layout_constraintStart_toEndOf="@id/tv_contacts_title"
                app:layout_constraintTop_toTopOf="@id/tv_contacts_title" />

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_phone"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_52"
                android:layout_marginStart="@dimen/dp_40"
                android:background="@null"
                android:hint="请输入联系方式"
                android:inputType="number"
                android:maxLength="11"
                android:maxLines="1"
                android:singleLine="true"
                android:textColor="@color/color_1a1a1a"
                android:textColorHint="@color/color_bcbcbc"
                android:textSize="@dimen/sp_14"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_contacts_title"
                app:layout_constraintTop_toBottomOf="@id/et_name" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_1"
                android:background="@color/color_eeeeee"
                app:layout_constraintTop_toBottomOf="@id/et_phone" />

            <TextView
                android:id="@+id/tv_job_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="职位"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_14"
                app:layout_constraintBottom_toBottomOf="@id/et_job"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/et_job" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_2"
                android:text="*"
                android:textColor="@color/color_ff493c"
                android:textSize="@dimen/sp_15"
                app:layout_constraintStart_toEndOf="@id/tv_job_title"
                app:layout_constraintTop_toTopOf="@id/tv_job_title" />

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_job"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_52"
                android:layout_marginStart="@dimen/dp_68"
                android:background="@null"
                android:hint="自定义职位（2-10字内）"
                android:maxLength="10"
                android:maxLines="1"
                android:singleLine="true"
                android:textColor="@color/color_1a1a1a"
                android:textColorHint="@color/color_bcbcbc"
                android:textSize="@dimen/sp_14"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_job_title"
                app:layout_constraintTop_toBottomOf="@id/et_phone" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_job"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16"
                android:layout_marginBottom="@dimen/dp_16"
                android:overScrollMode="never"
                app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toBottomOf="@id/et_job"
                app:spanCount="3"
                tools:listitem="@layout/listitem_contacts_job" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.core.widget.NestedScrollView>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/color_eeeeee"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingStart="@dimen/dp_16"
        android:paddingTop="@dimen/dp_9"
        android:paddingEnd="@dimen/dp_16"
        android:paddingBottom="@dimen/dp_9"
        app:layout_constraintBottom_toBottomOf="parent">

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_delete"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_46"
            android:fontFamily="sans-serif-medium"
            android:text="删除"
            android:textColor="@color/color_9a9ea7"
            android:textSize="@dimen/sp_16"
            android:layout_marginEnd="@dimen/dp_10"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_ebf5ff"
            app:layout_constraintEnd_toStartOf="@id/btn_next"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/btn_next"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_46"
            android:fontFamily="sans-serif-medium"
            android:text="确定"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_delete"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>